import { TranslateService } from '@ngx-translate/core';
import { QueryBuilderFieldMap, QueryRule } from '../interfaces/ngx-ntk-query-builder.interfaces';
import * as i0 from "@angular/core";
export declare class OperatorsService {
    private translate;
    readonly INPUT_TYPE_STRING = "string";
    readonly INPUT_TYPE_INTEGER = "integer";
    readonly INPUT_TYPE_DOUBLE = "double";
    readonly INPUT_TYPE_TIME = "time";
    readonly INPUT_TYPE_DATE = "date";
    readonly INPUT_TYPE_SELECT = "select";
    readonly INPUT_TYPE_BOOLEAN = "boolean";
    readonly INPUT_TYPE_MULTI_SELECT = "multi_select";
    readonly NULLABLE_OPERATORS: string[];
    readonly EMPTY_OPERATORS: string[];
    readonly MULTI_SELECT_OPERATORS: string[];
    private readonly defaultOperator;
    private readonly operatorsMap;
    private readonly operatorsDisplayNames;
    private readonly operatorsDisplayNames___old;
    constructor(translate: TranslateService);
    getOperators(rule: QueryRule, fieldMap: QueryBuilderFieldMap): string[];
    getDefaultOperator(): string;
    getOperatorsWithoutInput(): string[];
    getOperatorDisplayName(operator: string): string;
    private getAvailableTypes;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperatorsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OperatorsService>;
}
